Bug 426800 - Sound card sometimes fails to work after ACPI resume
Sound card sometimes fails to work after ACPI resume
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-26 11:01 EST by Christopher Beland
Modified: 2009-07-14 11:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:40:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of "dmidecode.txt" as requested (9.00 KB, text/plain)
2008-01-19 12:46 EST, Christopher Beland
no flags Details
Output of "smoltSendProfile" as requested. (4.91 KB, text/plain)
2008-01-19 12:47 EST, Christopher Beland
no flags Details

  None (edit)
Description Christopher Beland 2007-12-26 11:01:18 EST
Powertop suggested that I do:
 echo 1 >! /sys/module/snd_ac97_codec/parameters/power_save

When I do this, if I suspend my laptop, my sound card becomes
non-functional after the resume.  If I send a "0" to this file and
then suspend and resume again, my sound card works again.

I assume there is some sort of problem powering up the sound card
which is triggered by this setting.

kernel-2.6.23.9-85.fc8
Comment 1 Christopher Beland 2008-01-19 12:24:14 EST
I have since stopped setting this to Y.  However, I discovered that even with it
set to N, when I hibernate, my sound card still fails to power back up.  But
when I suspended and resumed, it came back up OK.
Comment 2 Jon Stanley 2008-01-19 12:31:31 EST
What kind of laptop is this?  A smolt profile would be helpful, as well as
attaching the output of 'dmidecode' to this bug report.  To post a smolt
profile, please enter smoltSendProfile in a terminal window and provide the link
given in this report.

Thanks!
Comment 3 Christopher Beland 2008-01-19 12:46:16 EST
Created attachment 292265 [details]
Output of "dmidecode.txt" as requested

This is a Toshiba Satellite M35X.
Comment 4 Christopher Beland 2008-01-19 12:47:21 EST
Created attachment 292266 [details]
Output of "smoltSendProfile" as requested.
Comment 5 Jon Stanley 2008-01-19 19:06:06 EST
Well, I checked and there is no BIOS update available for the machine (you're
already running the latest 1.90).  I unfortunately don't have a Toshiba laptop,
so I'm not sure if there is an option to disable the sound in the BIOS - I did
check on my HP and it doesn't seem that there is.  I wonder if there's some
modprobe magic that we can use here.  Can you post your /etc/modprobe.conf please?
Comment 6 Jon Stanley 2008-01-19 19:08:41 EST
Grrrr -

Wrong bugreport :(.  The part about there not being any BIOS update is correct,
but the whole thing about disabling sound obviously doesn't apply :) (someone
else was wanting to use a different soundcard instead of the onboard sound).

Instead, can you try anything applicable at
http://people.freedesktop.org/~hughsient/quirk/ and see if that helps?
Comment 7 Christopher Beland 2008-03-02 02:11:36 EST
The sound card seems to come back up if I do "pm-hibernate --quirk-s3-bios
--quirk-s3-mode --quirk-vbe-post --quirk-vbemode-restore".  The first two
options seem to be required to get the screen to come back up, but they were
already turned on:

% lshal | grep quirk
  power_management.quirk.s3_bios = true  (bool)
  power_management.quirk.s3_mode = true  (bool)

The same options seem to work with pm-suspend.

If I let audacious keep playing during a suspend, it resumes playback without
interruption, but if I let it keep playing during hibernation, I have to restart
the playback.  In either case, I get auditory stuttering during the shutdown and
2 pop-up messages after the resume.  One says that I'm connected to the wired
network, and the other says that various PulseAudio sources or sinks or somesuch
have just appeared.  (It gets pushed off the screen, perhaps because it's too
long, so I can't read it.)  But at least the sound card does seem to be powering
back up.
Comment 8 Bug Zapper 2008-11-26 04:10:43 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Christopher Beland 2008-12-17 14:46:09 EST
Well, I just did a suspend with kernel-debug-2.6.27.7-53.fc9.i686, without touching /sys/module/snd_ac97_codec/parameters/power_save (which is apparently set to 0 by default).  My sound card stopped working after the resume.

Is fixing this just a matter of incorporating the quirks settings I found into the released default?
Comment 10 Bug Zapper 2009-06-09 19:19:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 11:40:45 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.